interactions:
- request:
    body: !!binary |
[encoded data, 2946251 characters]
      2Q0KLS04MmY4MWE1ZTA1MmYwMzVhOGE0Y2MyYzU0OTRiMjA1MC0tDQo=
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '2023370'
      Content-Type:
      - multipart/form-data; boundary=82f81a5e052f035a8a4cc2c5494b2050
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"111912696861650197","type":"video","url":null,"preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/861/650/197/original/0fd5555b5efde099.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2187124},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 2190a18c-7427-43ae-8f2b-dd4f5d7b8e40
      X-Runtime:
      - '0.401588'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 202
      message: Accepted
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/media/111912696861650197
  response:
    body:
      string: '{"id":"111912696861650197","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/861/650/197/original/8e9159677cc517d8.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/861/650/197/original/0fd5555b5efde099.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"8c4c459779d87bcde51d1d203e414cd5"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 97280f2b-02ee-42bd-b848-701556c6f8a8
      X-Runtime:
      - '0.013731'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: status=LOL+check+this+out&sensitive=1&media_ids%5B%5D=111912696861650197
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '72'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body:
      string: '{"id":"111912697521226157","created_at":"2024-02-11T11:50:44.893Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":true,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/111912697521226157","url":"http://localhost:3000/@mastodonpy_test/111912697521226157","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"111912686983985951","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2024-02-11T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","header":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","header_static":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","followers_count":0,"following_count":0,"statuses_count":2,"last_status_at":"2024-02-11","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"111912696861650197","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/861/650/197/original/8e9159677cc517d8.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/861/650/197/original/0fd5555b5efde099.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"305c5a0635c855b87da4a48dbdea6b68"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-RateLimit-Limit:
      - '300'
      X-RateLimit-Remaining:
      - '283'
      X-RateLimit-Reset:
      - '2024-02-11T12:00:00.930637Z'
      X-Request-Id:
      - af661ed5-94d6-4d77-b421-77b8736c30cf
      X-Runtime:
      - '0.055499'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/111912697521226157
  response:
    body:
      string: '{"id":"111912697521226157","created_at":"2024-02-11T11:50:44.893Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":true,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/111912697521226157","url":"http://localhost:3000/@mastodonpy_test/111912697521226157","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"text":"LOL
        check this out","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"111912686983985951","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2024-02-11T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","header":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","header_static":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2024-02-11","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"111912696861650197","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/861/650/197/original/8e9159677cc517d8.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/861/650/197/original/0fd5555b5efde099.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"e710c8180621d64988c3bef0153df260"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - c970fa50-d504-4a0c-a194-3c2a35779758
      X-Runtime:
      - '0.039979'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
version: 1
